-- MySQL dump 10.11
--
-- Host: localhost    Database: hb-init
-- ------------------------------------------------------
-- Server version	5.0.45-community-nt

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `answer`
--

DROP TABLE IF EXISTS `answer`;
CREATE TABLE `answer` (
  `id` bigint(20) NOT NULL auto_increment,
  `comment` text,
  `active` bit(1) NOT NULL,
  `valueRadio` int(11) NOT NULL,
  `valueFree` varchar(255) default NULL,
  `adminValue` int(11) NOT NULL,
  `adminComment` text,
  `user_id` bigint(20) default NULL,
  `statement_id` bigint(20) default NULL,
  `rank_id` bigint(20) default NULL,
  PRIMARY KEY  (`id`),
  KEY `FK752F2BDE9FA2539E` (`rank_id`),
  KEY `FK752F2BDE63102476` (`statement_id`),
  KEY `FK752F2BDE5C923B3E` (`user_id`),
  CONSTRAINT `FK752F2BDE5C923B3E` FOREIGN KEY (`user_id`) REFERENCES `app_user` (`id`),
  CONSTRAINT `FK752F2BDE63102476` FOREIGN KEY (`statement_id`) REFERENCES `statement` (`id`),
  CONSTRAINT `FK752F2BDE9FA2539E` FOREIGN KEY (`rank_id`) REFERENCES `rank` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=20294 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `answer`
--

LOCK TABLES `answer` WRITE;
/*!40000 ALTER TABLE `answer` DISABLE KEYS */;
/*!40000 ALTER TABLE `answer` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_user`
--

DROP TABLE IF EXISTS `app_user`;
CREATE TABLE `app_user` (
  `id` bigint(20) NOT NULL auto_increment,
  `version` int(11) default NULL,
  `account_enabled` bit(1) default NULL,
  `username` varchar(50) NOT NULL,
  `password` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `first_name` varchar(50) NOT NULL,
  `last_name` varchar(50) NOT NULL,
  `phone_number` varchar(255) default NULL,
  `account_expired` bit(1) NOT NULL,
  `account_locked` bit(1) NOT NULL,
  `credentials_expired` bit(1) NOT NULL,
  `organisation_id` bigint(20) default NULL,
  `language_id` bigint(20) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `username` (`username`),
  UNIQUE KEY `email` (`email`),
  KEY `FK459C5729996F48DE` (`organisation_id`),
  KEY `FK459C57298B45A21E` (`language_id`),
  CONSTRAINT `FK459C57298B45A21E` FOREIGN KEY (`language_id`) REFERENCES `language` (`id`),
  CONSTRAINT `FK459C5729996F48DE` FOREIGN KEY (`organisation_id`) REFERENCES `organisation` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=268 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `app_user`
--

LOCK TABLES `app_user` WRITE;
/*!40000 ALTER TABLE `app_user` DISABLE KEYS */;
INSERT INTO `app_user` VALUES (-2,2,'','admin','d033e22ae348aeb5660fc2140aec35850c4da997','admin@nospam','Admin',' ','','\0','\0','\0',NULL,1);
/*!40000 ALTER TABLE `app_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `issue`
--

DROP TABLE IF EXISTS `issue`;
CREATE TABLE `issue` (
  `id` bigint(20) NOT NULL auto_increment,
  `name` text,
  `type` varchar(255) default NULL,
  `active` bit(1) NOT NULL,
  `section_id` bigint(20) default NULL,
  PRIMARY KEY  (`id`),
  KEY `FK43AB8B9C2763FB6` (`section_id`),
  CONSTRAINT `FK43AB8B9C2763FB6` FOREIGN KEY (`section_id`) REFERENCES `section` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=70 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `issue`
--

LOCK TABLES `issue` WRITE;
/*!40000 ALTER TABLE `issue` DISABLE KEYS */;
INSERT INTO `issue` VALUES (2,'Multiple roles and responsibilities','RADIO','',2),(3,'Leveraging customer-specific activities for product development','RADIO','',2),(4,'Dependency on cash flow ','RADIO','',2),(5,'Clarity of strategy: Definition','RADIO','',2),(6,'Appropriateness of incentive systems','RADIO','',2),(7,'Appropriateness of organisational structure','RADIO','',2),(8,'Health of individual activities\' practices','RADIO','',2),(9,'Identification of development activity types','RADIO','',5),(11,'Managers\' ability to see the \'big picture\' (the development portfolio)','RADIO','',5),(12,'Developers\' ability to see the \'big picture\' (the development portfolio)','RADIO','',5),(13,'Target spending levels','RADIO','',5),(14,'Criteria for selecting and prioritizing activities','RADIO','',5),(15,'Understanding of dependencies','RADIO','',5),(17,'Clarity of role and responsibility definitions','RADIO','',7),(18,'Clarity of roles and responsibilities in practice','RADIO','',7),(21,'Managing the development activities as an explicit portfolio','RADIO','',7),(22,'Prioritization of the portfolio','RADIO','',5),(23,'Reflecting the portfolio to the company\'s strategy','RADIO','',7),(24,'Considering the big picture in decision making','RADIO','',7),(26,'Number of ongoing activities','FREE','',9),(28,'Time spending for activities outside of the development portfolio','FREE','\0',9),(29,'Compromized throughput due to optimized resource utilization','RADIO','',9),(30,'Amount of parallel work in general','RADIO','',9),(31,'Number of your own responsibilities','RADIO','',9),(32,'Resource allocation by fire fighting','RADIO','',10),(33,'Cascading effect of resourcing changes','RADIO','',10),(34,'Ignoring resource allocations','RADIO','',10),(35,'Flexibility of resourcing','RADIO','',10),(36,'Working overtime','RADIO','',11),(37,'Pipeline pushing','RADIO','',11),(38,'Launch frequency of new activities','RADIO','',11),(39,'Impact of busyness to work quality','RADIO','',11),(40,'Sufficiency of resources','RADIO','',11),(41,'Pruning of non-essential activities','RADIO','',12),(42,'Management involvement in decisions regarding activities','RADIO','',12),(43,'Monitoring progress of activities','RADIO','',12),(44,'Rate of change of priorities','RADIO','',12),(45,'Management response to problems','RADIO','',12),(46,'Senior mgmt\'s involvement in portfolio level decision-making','RADIO','',12),(47,'Health of the dialog between Business and Development','RADIO','',12),(48,'Strategic alignment of ongoing activities','RADIO','',13),(49,'Significance of ongoing activities','RADIO','',13),(51,'Progress of activities','RADIO','',14),(52,'Activity progress status reporting','RADIO','',14),(53,'Performance of the development organisation','RADIO','',15),(55,'Profitability','RADIO','',17),(56,'Investing in improving practices of individual activities','RADIO','',16),(57,'Investing in improving development portfolio management','RADIO','',16),(58,'Other responsibilities','FREE','',17),(60,'Work place location ','FREE','',17),(61,'Improvement in software development capability ','RADIO','',15),(62,'Number of activities you are involved in','FREE','',9),(63,'Duration of employment','FREE','',17),(64,'Team name','FREE','',17),(65,'Clarity of strategy: Communication','RADIO','',2),(66,'Portfolio balance: leveraging existing products','RADIO','',13),(67,'Portfolio balance: creating new business','RADIO','',13),(68,'Intentional limiting of work-in-progress','RADIO','',9);
/*!40000 ALTER TABLE `issue` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `language`
--

DROP TABLE IF EXISTS `language`;
CREATE TABLE `language` (
  `id` bigint(20) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `language`
--

LOCK TABLES `language` WRITE;
/*!40000 ALTER TABLE `language` DISABLE KEYS */;
INSERT INTO `language` VALUES (1,'Finnish'),(2,'English');
/*!40000 ALTER TABLE `language` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `organisation`
--

DROP TABLE IF EXISTS `organisation`;
CREATE TABLE `organisation` (
  `id` bigint(20) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `organisation`
--

LOCK TABLES `organisation` WRITE;
/*!40000 ALTER TABLE `organisation` DISABLE KEYS */;
INSERT INTO `organisation` VALUES (1,'ATMAN Default');
/*!40000 ALTER TABLE `organisation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rank`
--

DROP TABLE IF EXISTS `rank`;
CREATE TABLE `rank` (
  `id` bigint(20) NOT NULL auto_increment,
  `value` int(11) NOT NULL,
  `round_id` bigint(20) default NULL,
  `issue_id` bigint(20) default NULL,
  `enstatement_id` bigint(20) default NULL,
  `fistatement_id` bigint(20) default NULL,
  PRIMARY KEY  (`id`),
  KEY `FK26C04C45642A16` (`round_id`),
  KEY `FK26C04CFBDD7B9F` (`enstatement_id`),
  KEY `FK26C04C352C24B9` (`fistatement_id`),
  KEY `FK26C04C6E8EE236` (`issue_id`),
  CONSTRAINT `FK26C04C352C24B9` FOREIGN KEY (`fistatement_id`) REFERENCES `statement` (`id`),
  CONSTRAINT `FK26C04C45642A16` FOREIGN KEY (`round_id`) REFERENCES `round` (`id`),
  CONSTRAINT `FK26C04C6E8EE236` FOREIGN KEY (`issue_id`) REFERENCES `issue` (`id`),
  CONSTRAINT `FK26C04CFBDD7B9F` FOREIGN KEY (`enstatement_id`) REFERENCES `statement` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1999 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `rank`
--

LOCK TABLES `rank` WRITE;
/*!40000 ALTER TABLE `rank` DISABLE KEYS */;
INSERT INTO `rank` VALUES (1456,10000017,1,21,21,77),(1457,10000013,1,14,153,152),(1458,10000041,1,40,40,96),(1459,10000014,1,22,159,158),(1460,10000005,1,6,117,62),(1461,10000047,1,46,175,174),(1462,10000002,1,4,4,60),(1463,10000029,1,31,31,87),(1465,10000044,1,43,43,99),(1466,10000021,1,18,18,74),(1467,10000024,1,26,130,131),(1468,10000011,1,12,149,148),(1469,10000000,1,3,3,59),(1470,10000062,1,56,183,182),(1471,10000009,1,11,147,146),(1472,10000023,1,24,24,80),(1473,10000008,1,9,145,144),(1474,10000006,1,7,141,140),(1475,10000058,1,52,52,108),(1476,10000034,1,34,34,90),(1477,10000038,1,37,167,166),(1478,10000063,1,57,185,184),(1480,10000043,1,42,173,172),(1481,10000033,1,32,32,88),(1483,10000022,1,23,23,79),(1484,10000026,1,62,163,162),(1485,10000046,1,45,45,101),(1486,10000003,1,5,137,136),(1487,9999997,1,60,121,122),(1488,10000036,1,35,35,91),(1489,9999995,1,58,116,115),(1490,10000035,1,33,33,89),(1491,10000012,1,13,151,150),(1492,10000050,1,49,49,105),(1494,10000015,1,15,155,154),(1495,10000059,1,53,119,120),(1496,10000045,1,44,44,100),(1497,9999999,1,55,55,111),(1498,10000030,1,29,161,160),(1499,10000060,1,61,124,125),(1500,10000049,1,48,48,104),(1502,10000042,1,41,171,170),(1503,10000039,1,38,38,94),(1504,10000018,1,17,157,156),(1505,10000001,1,2,2,58),(1506,10000055,1,51,51,107),(1507,10000007,1,8,143,142),(1508,10000037,1,36,165,164),(1510,10000040,1,39,169,168),(1511,10000031,1,30,30,86),(1512,10000048,1,47,47,103),(1513,9999998,1,63,132,133),(1514,9999996,1,64,134,135),(1765,10000004,1,65,139,138),(1766,10000053,1,67,179,178),(1767,10000052,1,66,177,176),(1768,10000032,1,68,181,180);
/*!40000 ALTER TABLE `rank` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `responsibility`
--

DROP TABLE IF EXISTS `responsibility`;
CREATE TABLE `responsibility` (
  `id` bigint(20) NOT NULL auto_increment,
  `active` bit(1) NOT NULL,
  `description` text,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=40 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `responsibility`
--

LOCK TABLES `responsibility` WRITE;
/*!40000 ALTER TABLE `responsibility` DISABLE KEYS */;
INSERT INTO `responsibility` VALUES (2,'','Account manager'),(3,'','Application development (e.g. client)'),(4,'','Architect'),(5,'','Business'),(7,'','Customer service'),(8,'','Delivery'),(9,'','Developer'),(10,'','Developer'),(11,'','Junior'),(12,'','Lead developer'),(13,'','Manager (middle)'),(14,'','Maintenance'),(15,'','Manager (VP-level)'),(16,'','Platform development (e.g. server)'),(17,'','Portfolio manager'),(18,'','Product management'),(19,'','Product management (solution-level)'),(20,'','Product management (technical)'),(21,'','Program manager'),(22,'','Project management'),(23,'','Program manager'),(24,'','Project management'),(25,'','Project management'),(26,'','Testing'),(27,'','Sales'),(28,'','Senior'),(29,'','Team leader'),(30,'','Internal customer'),(31,'','Quality manager'),(32,'','Process improvement'),(33,'','Manager (C*O-level)'),(34,'','Company board (Hallitus)'),(35,'','Requirements engineer'),(36,'','Product owner'),(37,'','Scrum master'),(38,'','Human resources');
/*!40000 ALTER TABLE `responsibility` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `role`
--

DROP TABLE IF EXISTS `role`;
CREATE TABLE `role` (
  `id` bigint(20) NOT NULL auto_increment,
  `name` varchar(20) default NULL,
  `description` varchar(64) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `role`
--

LOCK TABLES `role` WRITE;
/*!40000 ALTER TABLE `role` DISABLE KEYS */;
INSERT INTO `role` VALUES (-2,'ROLE_USER','Default role for all Users'),(-1,'ROLE_ADMIN','Administrator role (can edit Users)');
/*!40000 ALTER TABLE `role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `round`
--

DROP TABLE IF EXISTS `round`;
CREATE TABLE `round` (
  `id` bigint(20) NOT NULL auto_increment,
  `state` varchar(255) default NULL,
  `number` varchar(255) default NULL,
  `previousRoundId` bigint(20) default NULL,
  `organisation_id` bigint(20) default NULL,
  PRIMARY KEY  (`id`),
  KEY `FK4B7C16E996F48DE` (`organisation_id`),
  CONSTRAINT `FK4B7C16E996F48DE` FOREIGN KEY (`organisation_id`) REFERENCES `organisation` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `round`
--

LOCK TABLES `round` WRITE;
/*!40000 ALTER TABLE `round` DISABLE KEYS */;
INSERT INTO `round` VALUES (1,'draft','1',NULL,1);
/*!40000 ALTER TABLE `round` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `round_responsibility`
--

DROP TABLE IF EXISTS `round_responsibility`;
CREATE TABLE `round_responsibility` (
  `round_id` bigint(20) NOT NULL,
  `responsibility_id` bigint(20) NOT NULL,
  KEY `FKA69FD1F45642A16` (`round_id`),
  KEY `FKA69FD1FB4990E1B` (`responsibility_id`),
  KEY `FKA69FD1F8FCE035E` (`responsibility_id`),
  CONSTRAINT `FKA69FD1F45642A16` FOREIGN KEY (`round_id`) REFERENCES `round` (`id`),
  CONSTRAINT `FKA69FD1F8FCE035E` FOREIGN KEY (`responsibility_id`) REFERENCES `responsibility` (`id`),
  CONSTRAINT `FKA69FD1FB4990E1B` FOREIGN KEY (`responsibility_id`) REFERENCES `responsibility` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `round_responsibility`
--

LOCK TABLES `round_responsibility` WRITE;
/*!40000 ALTER TABLE `round_responsibility` DISABLE KEYS */;
INSERT INTO `round_responsibility` VALUES (1,2),(1,3),(1,4),(1,5),(1,34),(1,7),(1,8),(1,9),(1,38),(1,30),(1,11),(1,12),(1,14),(1,33),(1,13),(1,15),(1,16),(1,17),(1,32),(1,18),(1,19),(1,20),(1,36),(1,21),(1,22),(1,31),(1,35),(1,27),(1,37),(1,28),(1,29),(1,26);
/*!40000 ALTER TABLE `round_responsibility` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `section`
--

DROP TABLE IF EXISTS `section`;
CREATE TABLE `section` (
  `id` bigint(20) NOT NULL auto_increment,
  `name` text,
  `active` bit(1) NOT NULL,
  `fiTag` text,
  `enTag` text,
  `parent_id` bigint(20) default NULL,
  PRIMARY KEY  (`id`),
  KEY `FKD8A816C523FBA3D1` (`parent_id`),
  CONSTRAINT `FKD8A816C523FBA3D1` FOREIGN KEY (`parent_id`) REFERENCES `section` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `section`
--

LOCK TABLES `section` WRITE;
/*!40000 ALTER TABLE `section` DISABLE KEYS */;
INSERT INTO `section` VALUES (1,'ROOT','',NULL,NULL,NULL),(2,'Hereditary factors','','Perintötekijät','Hereditary factors',1),(3,'Lifestyle','','Elämäntavat','Lifestyle',1),(4,'Symptoms','','Oireet','Symptoms',1),(5,'Structure of the development portfolio','','Tekemissalkun jäsennys','Structure of the development portfolio',3),(7,'Process and practices of development portfolio management','','Salkunhallinnan toimintatavat','Process and practices of development portfolio management',3),(9,'Multitasking','','Moniajo','Multitasking',4),(10,'Fire fighting','','Tulipaloherkkyys','Fire fighting',4),(11,'Overcommitment','','Ylikuormitus','Overcommitment',4),(12,'Decision making','','Päätöksenteko','Decision making',4),(13,'Strategic alignment and portfolio balance','','Tekemisten suhde strategiaan ja tekemissalkun tasapaino','Strategic alignment and portfolio balance',4),(14,'Slipping schedules','','Aikataulujen pito','Slipping schedules',4),(15,'Change in performance','','Muutos suorituskyvyssä','Change in performance',4),(16,'Perceived improvement needs','','Oma näkemys kehitystarpeesta','Perceived improvement needs',4),(17,'Demographics','','Demografiatiedot','Demografic information',1);
/*!40000 ALTER TABLE `section` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `statement`
--

DROP TABLE IF EXISTS `statement`;
CREATE TABLE `statement` (
  `id` bigint(20) NOT NULL auto_increment,
  `negative` bit(1) NOT NULL,
  `active` bit(1) NOT NULL,
  `description` text,
  `issue_id` bigint(20) default NULL,
  `language_id` bigint(20) default NULL,
  PRIMARY KEY  (`id`),
  KEY `FKFB29494F6E8EE236` (`issue_id`),
  KEY `FKFB29494F8B45A21E` (`language_id`),
  CONSTRAINT `FKFB29494F6E8EE236` FOREIGN KEY (`issue_id`) REFERENCES `issue` (`id`),
  CONSTRAINT `FKFB29494F8B45A21E` FOREIGN KEY (`language_id`) REFERENCES `language` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=187 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `statement`
--

LOCK TABLES `statement` WRITE;
/*!40000 ALTER TABLE `statement` DISABLE KEYS */;
INSERT INTO `statement` VALUES (2,'','','Most of our development people have a broad work profile (e.g. they participate in many of the following: product development, customer projects, project management, sales / sales support, customer support, consulting, deliveries, training, etc.)',2,2),(3,'','','New products or features are developed in customer-specific projects',3,2),(4,'','','A downswing in cash flow is quickly reflected in the ability to pay salaries',4,2),(18,'\0','','It is clear who should participate in development-related decision making in different situations (e.g. in the middle of a project, when an urgent maintenance request arrives, when making an offer, when deploying a product, etc.)',18,2),(21,'\0','','All the ongoing and immediately upcoming activities that require attention from the developers are managed as an explicit portfolio',21,2),(23,'\0','','We actively reflect the content of the development portfolio to the company\'s strategy ',23,2),(24,'','','In decision making we mainly consider individual activities and do not take the \"big picture\" into account',24,2),(28,'\0','','If your development portfolio has been defined, how many hours per week do you spend on activities that are not included in the defined development portfolio?',28,2),(30,'\0','','A single person is usually assigned to only one activity (e.g. a project) at the same time',30,2),(31,'','','In addition to my main responsibility, I also have other, time-demanding responsibilities',31,2),(32,'','','\"Fire fighting\" describes our work in practice',32,2),(33,'','','Changes in resourcing for one activity (e.g. a project) cause uncontrolled changes in other activities',33,2),(34,'','','Resources are being shifted from one activity (e.g. a project) to another regardless of previously agreed assignments',34,2),(35,'','','Resource commitments are too rigid for leveraging suddenly emerging opportunities',35,2),(38,'','','New activities (e.g. projects) are launched too often',38,2),(40,'\0','','We have enough resources in proportion to the amount of work',40,2),(43,'\0','','The real status of activities is known in development portfolio -level decision making ',43,2),(44,'','','The priority ranking of activities changes constantly',44,2),(45,'','','Management reacts to problems detected in activities (e.g. projects) too late',45,2),(47,'\0','','The dialogue between Business and Development people works',47,2),(48,'\0','','Ongoing activities are in alignment with the company\'s strategy',48,2),(49,'\0','','Ongoing activities are essential to our business',49,2),(51,'','','Ongoing activities are behind schedule',51,2),(52,'','','Progress of ongoing activities is reported optimistically',52,2),(55,'\0','','Our business is profitable',55,2),(58,'','','Suurella osalla kehitysporukastamme on laaja tehtävänkuva (esim. osallistuu moniin seuraavista: tuotekehitys, asiakasprojektit, projektien vetäminen, myynnin tuki / myynti, asiakastuki, konsultointi, toimitukset, kouluttaminen jne.)',2,1),(59,'','','Uudet tuotteet tai ominaisuudet kehitetään asiakaskohtaisissa projekteissa',3,1),(60,'','','Notkahdus kassavirrassa heijastuu nopeasti palkanmaksukykyyn',4,1),(62,'','','Kehittäjien, projektipäälliköiden, myynnin tai johdon suoriutumista arvioidaan ja palkitaan tavoilla, joista on haittaa kokonaisuudelle',6,1),(74,'\0','','On selvää keiden tulisi missäkin tilanteissa osallistua ohjelmistokehitystä koskevaan päätöksentekoon (esim. kesken projektin, kiireellisen ylläpitopyynnön sattuessa, tarjousta tehdessä, käyttöönotossa, jne.)',18,1),(77,'\0','','Kaikkia meneillään olevia sekä välittömästi suunnitteilla olevia, kehitysporukan huomiota vaativia tekemisiä hallitaan kokonaisuutena, eli tekemissalkkuna',21,1),(79,'\0','','Peilaamme aktiivisesti tekemissalkun sisältöä yrityksen strategiaan',23,1),(80,'','','Päätöksenteossa tarkastellaan lähinnä yksittäisiä tekemisiä eikä kokonaiskuvaa huomioida',24,1),(84,'\0','','Jos tekemissalkkunne on määritelty, kuinka monta tuntia viikossa käytät tekemissalkun ulkopuolisiin asioihin?',28,1),(86,'\0','','Yksittäinen henkilö on tavallisesti kiinnitetty vain yhteen tekemiseen (esim. projektiin) kerrallaan',30,1),(87,'','','Varsinaisen päätehtäväni lisäksi minulla on myös muita, aikaa vaativia vastuita',31,1),(88,'','','\"Tulipalojen sammuttaminen\" kuvaa toimintaamme käytännössä',32,1),(89,'','','Muutokset resursoinnissa yhteen tekemiseen (esim. projektiin) aiheuttavat hallitsemattomia muutoksia muihin tekemisiin',33,1),(90,'','','Resursseja siirrellään tekemisistä toisiin aiemmista kiinnityksistä huolimatta',34,1),(91,'','','Resursointi on niin jäykkää, ettei yllättäviä mahdollisuuksia ja tilaisuuksia kyetä hyödyntämään',35,1),(94,'','','Uusia tekemisiä (esim. projekteja) käynnistetään liian usein',38,1),(96,'\0','','Resursseja on riittävästi suhteessa tekemisen määrään',40,1),(99,'\0','','Salkkutason päätöksenteossa tiedetään tekemisten todelliset tilanteet',43,1),(100,'','','Tekemisten tärkeysjärjestys muuttuu jatkuvasti',44,1),(101,'','','Johto reagoi tekemisissä (esim. projekteissa) havaittuihin ongelmiin liian myöhään',45,1),(103,'\0','','Liiketoiminnasta vastaavien ja kehitysporukan välinen vuoropuhelu toimii',47,1),(104,'\0','','Meneillään olevat tekemiset ovat linjassa yrityksen strategian kanssa',48,1),(105,'\0','','Meneillään olevat tekemiset ovat liiketoiminnan kannalta keskeisiä',49,1),(107,'','','Meneillään olevat tekemiset ovat jäljessä aikataulusta',51,1),(108,'','','Tekemisten valmiusastetta raportoidaan optimistisesti',52,1),(111,'\0','','Liiketoimintamme on kannattavaa',55,1),(115,'\0','','Mitkä ovat muut vastuusi, jos niitä on?',58,1),(116,'\0','','What other responsibilities do you have, if any?',58,2),(117,'','','Developers, project managers, sales, or senior managers are evaluated and rewarded in ways that are harmful to the whole',6,2),(119,'\0','','From a business viewpoint, development performs its duties well ',53,2),(120,'\0','','Liiketoiminnan näkökulmasta ohjelmistokehitys suoriutuu tehtävistään hyvin ',53,1),(121,'\0','','Where is your work place located (which site, floor, etc.)?',60,2),(122,'\0','','Missä työpisteesi sijaitsee (mikä toimisto, kerros, jne.)? ',60,1),(124,'\0','','Our capability to produce high-quality software has improved during the past year',61,2),(125,'\0','','Kykymme tuottaa korkealaatuista ohjelmistoa on parantunut viimeisen vuoden aikana',61,1),(130,'\0','','How many different activities (product development projects, customer projects, etc.) are currently ongoing in your company?',26,2),(131,'\0','','Kuinka monta eri tekemistä (tuotekehitysprojektit, asiakasprojektit, jne.) on yrityksessänne tällä hetkellä meneillään?',26,1),(132,'\0','','How long have you been employed in the company?',63,2),(133,'\0','','Kuinka pitkään olet ollut yrityksessä töissä?',63,1),(134,'\0','','What is the name of your team?',64,2),(135,'\0','','Missä tiimissä teet työtä?',64,1),(136,'\0','','Strategia ja pitkän tähtäimen suunnitelmat on määritelty selkeästi',5,1),(137,'\0','','Strategy and long-term plans have been clearly defined',5,2),(138,'\0','','Strategia ja pitkän tähtäimen suunnitelmat on kommunikoitu selkeästi',65,1),(139,'\0','','Strategy and long-term plans have been clearly communicated',65,2),(140,'\0','','Organisaatiorakenteemme tukee nykyistä toimintaamme',7,1),(141,'\0','','Our organisational structure supports our current operations',7,2),(142,'\0','','Jokaisella eri tyyppisellä tekemisellä (esim. tuotekehitysprojektit, asiakaskohtainen kehitys, ylläpito, toimitukset, jne.) on omat toimivat käytäntönsä',8,1),(143,'\0','','Each of our different activity types (e.g. product development projects, customer-specific development, maintenance, deliveries, etc.) has its own practices, that work',8,2),(144,'\0','','Olemme tunnistaneet eri tyyppiset tekemiset joihin kehitysporukka käyttää aikaa (esim. tuotekehitysprojektit, asiakaskohtainen kehitys, ylläpito, toimitukset, jne.)',9,1),(145,'\0','','We have identified the different types of activities development people spend their time on (e.g. product development projects, customer-specific development, maintenance, deliveries, etc.)',9,2),(146,'\0','','Liiketoiminnasta vastaavat hahmottavat meneillään olevien tekemisten kokonaisuuden (eli tekemissalkun)',11,1),(147,'\0','','Business people are able to see the \'big picture\' of ongoing activities (a.k.a. the development portfolio)',11,2),(148,'\0','','Kehitysporukka hahmottaa meneillään olevien tekemisten kokonaisuuden (eli tekemissalkun)',12,1),(149,'\0','','Development people are able to see the \'big picture\' of ongoing activities (a.k.a. the development portfolio)',12,2),(150,'\0','','Ymmärrän miten ajankäyttöni tulisi liiketoiminnan näkökulmasta jakautua eri tyyppisten tekemisten kesken',13,1),(151,'\0','','I understand how much time, from a business perspective, I should spend on different types of activities',13,2),(152,'\0','','Meillä on kriteeristö meneillään olevien tekemisten priorisointiin',14,1),(153,'\0','','We have criteria for prioritising our ongoing development activities',14,2),(154,'\0','','Ymmärrän meneillään olevien tekemisten riippuvuudet',15,1),(155,'\0','','I understand the dependencies of the ongoing activities',15,2),(156,'\0','','Olemme määritelleet ketkä vastaavat tekemissalkun hallinnasta',17,1),(157,'\0','','We have defined who are responsible for development portfolio management',17,2),(158,'\0','','Ymmärrän meneillään olevien  tekemisten keskinäisen tärkeysjärjestyksen (esim. projekti X vs. projekti Y, projekti X vs. ylläpitopyyntö Z, jne.) ',22,1),(159,'\0','','I understand the priorities between ongoing activities (e.g. project X vs. project Y, project X vs. support request Z, etc.)',22,2),(160,'','','Meillä on käynnissä samanaikaisesti liian monta tekemistä',29,1),(161,'','','We have too many parallel ongoing activities',29,2),(162,'\0','','Kuinka monta eri tekemistä (tuotekehitysprojektit, asiakasprojektit, jne.) on tällä hetkellä meneillään, joissa itse olet mukana?',62,1),(163,'\0','','How many different activities (product development projects, customer projects, etc.) are currently ongoing that you are involved in?',62,2),(164,'','','Teen ylitöitä',36,1),(165,'','','I work overtime',36,2),(166,'\0','','Tuotejulkaisuja suunnitellessa tai myyntiä tehdessä huomioidaan miten tekemiset tullaan käytännössä resursoimaan',37,1),(167,'\0','','When planning product releases or making offers, we consider how to resource the work in practice',37,2),(168,'','','Työntekijöillämme on liikaa tekemistä ja työn laatu kärsii siitä',39,1),(169,'','','Our employees have too much to do and quality of work suffers from it',39,2),(170,'','','Tekemisiä (esim. projekteja) ei koskaan keskeytetä lopullisesti',41,1),(171,'','','Activities (e.g. projects) are never killed',41,2),(172,'','','Jos aika loppuu kesken, kehittäjät ratkaisevat keskenään mitä voi jättää tekemättä',42,1),(173,'','','If time runs out, developers resolve by themselves what can be left undone',42,2),(174,'\0','','Ylin johto osallistuu aktiivisesti tekemissalkkutason päätöksentekoon',46,1),(175,'\0','','Senior management is actively involved in portfolio-level decision making',46,2),(176,'\0','','Meillä on riittävästi olemassaolevien tuotteiden tai palveluiden jatkokehittämiseen keskittyviä projekteja',66,1),(177,'\0','','We have a sufficient amount of  development projects that incrementally improve existing products or services',66,2),(178,'\0','','Meillä on riittävästi uuteen liiketoimintaan tähtääviä tuote- tai palvelukehitysprojekteja',67,1),(179,'\0','','We have a sufficient amount of product or service development projects that aim for new business',67,2),(180,'\0','','Teemme asian kerrallaan valmiiksi emmekä siirrä huomiota keskeneräisestä tehtävästä toiseen',68,1),(181,'\0','','We complete one thing at a time and don\'t shift our attention from one incomplete task to another',68,2),(182,'','','Yksittäisten tekemisten käytäntöjen kehittämiseen pitäisi panostaa enemmän (esim. projektinhallinta, tiimikäytännöt, toimitusprosessit, myynnin prosessit, asiakastuki, jne.)',56,1),(183,'','','We should invest more in improving the practices of individual activities (e.g. project mgmt., team practices, deployment processes, sales processes, customer support, etc.)',56,2),(184,'','','Tekemissalkun hallinnan kehittämiseen pitäisi panostaa enemmän (esim. tekemisten priorisointi, strategian ja päivittäisen työn linkitys, tekemissalkun jäsentäminen, jne.)',57,1),(185,'','','We should invest more in improving development portfolio management (e.g. prioritizing activities, linking strategy with daily work, structuring the development portfolio, etc.)',57,2);
/*!40000 ALTER TABLE `statement` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_role`
--

DROP TABLE IF EXISTS `user_role`;
CREATE TABLE `user_role` (
  `user_id` bigint(20) NOT NULL,
  `role_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`user_id`,`role_id`),
  KEY `FK143BF46AB767775E` (`role_id`),
  KEY `FK143BF46A5C923B3E` (`user_id`),
  CONSTRAINT `FK143BF46A5C923B3E` FOREIGN KEY (`user_id`) REFERENCES `app_user` (`id`),
  CONSTRAINT `FK143BF46AB767775E` FOREIGN KEY (`role_id`) REFERENCES `role` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `user_role`
--

LOCK TABLES `user_role` WRITE;
/*!40000 ALTER TABLE `user_role` DISABLE KEYS */;
INSERT INTO `user_role` VALUES (-2,-1);
/*!40000 ALTER TABLE `user_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `userrole`
--

DROP TABLE IF EXISTS `userrole`;
CREATE TABLE `userrole` (
  `id` bigint(20) NOT NULL auto_increment,
  `round_id` bigint(20) default NULL,
  `user_id` bigint(20) default NULL,
  PRIMARY KEY  (`id`),
  KEY `FKF3F767015C923B3E` (`user_id`),
  KEY `FKF3F7670145642A16` (`round_id`),
  CONSTRAINT `FKF3F7670145642A16` FOREIGN KEY (`round_id`) REFERENCES `round` (`id`),
  CONSTRAINT `FKF3F767015C923B3E` FOREIGN KEY (`user_id`) REFERENCES `app_user` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=352 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `userrole`
--

LOCK TABLES `userrole` WRITE;
/*!40000 ALTER TABLE `userrole` DISABLE KEYS */;
/*!40000 ALTER TABLE `userrole` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `userrole_responsibility`
--

DROP TABLE IF EXISTS `userrole_responsibility`;
CREATE TABLE `userrole_responsibility` (
  `userRoles_id` bigint(20) NOT NULL,
  `responsibilities_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`userRoles_id`,`responsibilities_id`),
  KEY `FK600E1F2CAB6D0180` (`responsibilities_id`),
  KEY `FK600E1F2CE03010ED` (`userRoles_id`),
  CONSTRAINT `FK600E1F2CAB6D0180` FOREIGN KEY (`responsibilities_id`) REFERENCES `responsibility` (`id`),
  CONSTRAINT `FK600E1F2CE03010ED` FOREIGN KEY (`userRoles_id`) REFERENCES `userrole` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `userrole_responsibility`
--

LOCK TABLES `userrole_responsibility` WRITE;
/*!40000 ALTER TABLE `userrole_responsibility` DISABLE KEYS */;
/*!40000 ALTER TABLE `userrole_responsibility` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2010-10-29  8:23:32
